<?php
function vrmod11($cad,$bol)
{
	$xalgo=11;
	$cad1;
	$xcoe='765432';
	$xpro=0;
	$xsuma=0;
	$residuo;
	$xveri;
	$xchek;
	
	if($bol)
	{
		
		$cad1=substr($cad,0,strlen($cad)-1);
		
	}
	else
	{
		$cad1=$cad;
		
	}
	
	while(strlen($xcoe)<=strlen($cad1))
	{
		$xcoe.= '765432';
	}
	

	$xcoe=substr($xcoe,( strlen($xcoe) - strlen($cad1)), strlen($xcoe)  );
	
	
	for($i=0;$i<=strlen($xcoe)-1;$i++)
	{
		
		$xpro=intval(substr($cad1,$i,1)) * intval(substr($xcoe,$i,1));
/*		

		while ($xpro>9)
		{
			$xpro=$xpro-9;
		}
*/		
		$xsuma = $xsuma + $xpro; 
		

	}
	
	
	$residuo=$xsuma % $xalgo;
	if($residuo==0)
	{
		$xveri=0;
	}
	else
	{
		$xveri=$xalgo-$residuo;
	}
	
	if($xveri==11)
	{
		$xveri=0;
	}
	if($xveri==10)
	{
		$xveri=1;
	}

	if($bol)
	{
		if($xveri==substr($cad,strlen($cad)-1,1))
		{
			$xchek=1;
		}
		else
		{
			$xchek=0;
		}
	}
	else
	{
		$xchek=$xveri;
	}
	
	return $xchek;	

}
?>